package net.jaekl.qd.http;

import net.jaekl.qd.QDException;

public class InvalidResponseException extends QDException {
	private static final long serialVersionUID = 1L;

	String m_url;
	String m_method;
	String m_response;	// first few bytes of the actual response
	
	public InvalidResponseException(Throwable cause, String url, String method, String response) {
		super(cause);
		
		m_url = url;
		m_method = method;
		m_response = response;
	}
	
	public String getUrl() { return m_url; }
	public String getMethod() { return m_method; }
	public String getResponse() { return m_response; }
	
	@Override
	public String toString() {
		return getClass().getName() + "; " + m_url + "/" + m_method + "=>\"" + m_response + "\""; 
	}
}
