package net.jaekl.frank;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;

import org.junit.Assert;

import org.junit.Test;

public class ForceUtf8EncodingFilterTest {

	@Test
	public void testDoFilter() throws IOException, ServletException {
		ForceUtf8EncodingFilter filter = new ForceUtf8EncodingFilter();
		
		ServletRequestMock request = new ServletRequestMock();
		ServletResponseMock response = new ServletResponseMock();
		FilterChainMock chain = new FilterChainMock();
		
		filter.doFilter(request, response, chain);
		
		Assert.assertEquals(ForceUtf8EncodingFilter.UTF_8, response.getCharacterEncoding());
		
		ServletRequest[] filteredRequests = chain.mock_getRequests();
		Assert.assertEquals(1, filteredRequests.length);
		Assert.assertEquals(request, filteredRequests[0]);
		
		ServletResponse[] filteredResponses = chain.mock_getResponses();
		Assert.assertEquals(1, filteredResponses.length);
		Assert.assertEquals(response, filteredResponses[0]);
	}

}
