// Simple driver for ad-hoc testing of the query interface 
// (useful if we want to try running a query without a Servlet Engine).

package net.jaekl.frank;

import java.io.FileInputStream;
import java.io.PrintWriter;
import java.util.Locale;

import net.jaekl.frank.octranspo.Server;
import net.jaekl.frank.octranspo.StopInfo;

public class Main{
    public static void main(String[] args) {
		try {
		    FileInputStream fis = null;
		    PrintWriter pw = null;
		    try {
		    	fis = new FileInputStream("/home/chris/prog/Frank/apikey.txt");
				Server server = new Server("192f31d2", fis);
				pw = new PrintWriter(System.out);
				// StopInfo summary = server.getRouteSummaryForStop(7655);
				
				Schedule schedule = new Schedule(Locale.getDefault());
				// schedule.writePage(pw, summary);
				
				StopInfo one = server.getNextTripsForStop(7655, 1);
				schedule.writePage(pw, one);
				// StopInfo seven = server.getNextTripsForStop(7655, 7);
				// schedule.writePage(pw, seven);
		    }
		    finally {
				if (null != fis) {
				    fis.close(); 
				}
				if (null != pw) {
					pw.flush();
					pw.close();
				}
		    }
		}
		catch (Throwable t) {
		    t.printStackTrace();
		}
    }
}
