package net.jaekl.qd.util;

import org.junit.Assert;

import org.junit.Test;

public class ParseUtilsTest {
	private final double TINY_DELTA = 0.0000000001;

	@Test
	public void testParseDouble() {
		String[] inputs =   { null,  "", "0.0", "27.34", "1234", "3.141592653589793238", "-77.18", "bogus" };
		double[] expected = {  0.0, 0.0,   0.0,   27.34,   1234,   3.141592653589793238,   -77.18,     0.0 };  
		double actual;
		
		for (int i = 0; i < inputs.length; ++i) {
			actual = ParseUtils.parseDouble(inputs[i]);
			Assert.assertEquals(expected[i], actual, TINY_DELTA);
		}
	}

	@Test
	public void testParseInt() {
		String[] inputs = { null, "", "0", "7.1", "1234", "314159265", "-7718", "bogus" };
		int[] expected  = {    0,  0,   0,    0,    1234,   314159265,   -7718,       0 };
		int actual;
		
		for (int i = 0; i < inputs.length; ++i) {
			actual = ParseUtils.parseInt(inputs[i]);
			Assert.assertEquals(expected[i], actual);
		}
	}

}
